package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PsmJobV3;
import com.ruoyi.predict.mapper.PsmJobV3Mapper;
import com.ruoyi.predict.service.IPsmJobV3Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PsmJobV3Service业务层处理
 *
 * @author hlf
 * @date 2022-01-10
 */
@Service
public class PsmJobV3ServiceImpl implements IPsmJobV3Service {
    @Autowired(required = false)
    private PsmJobV3Mapper psmJobV3Mapper;

    /**
     * 查询PsmJobV3
     *
     * @param rtuNo PsmJobV3ID
     * @return PsmJobV3
     */
    @Override
    public PsmJobV3 selectPsmJobV3ById(Long rtuNo) {
        return psmJobV3Mapper.selectPsmJobV3ById(rtuNo);
    }

    /**
     * 查询PsmJobV3列表
     *
     * @param psmJobV3 PsmJobV3
     * @return PsmJobV3
     */
    @Override
    public List<PsmJobV3> selectPsmJobV3List(PsmJobV3 psmJobV3) {
        return psmJobV3Mapper.selectPsmJobV3List(psmJobV3);
    }

    @Override
    public List<PsmJobV3> selectPsmJobV3ByJobKey1(Long jobKey1) {
        return psmJobV3Mapper.selectPsmJobV3ByJobKey1(jobKey1);
    }
}
